﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.IO;
using System.Web.Mvc;

namespace S01E10.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            return View();
        }

        public ActionResult singup(string firstName, string lastName, string phoneNumber, string nationalCode, string emailAddress, HttpPostedFileBase profilePicture)
        {
            if (profilePicture.ContentLength > 20000)
            {
                return RedirectToAction("Index");
            }

            if (profilePicture.ContentType != "image/png" && profilePicture.ContentType != "image/jpeg")
            {
                return RedirectToAction("Index");
            }

            string picture = Guid.NewGuid().ToString().Replace("-", "") + Path.GetExtension(profilePicture.FileName);
            profilePicture.SaveAs(Server.MapPath("/images/profile/") + picture);
            ViewBag.Name = firstName;
            ViewBag.Family = lastName;
            ViewBag.Phone = phoneNumber;
            ViewBag.Code = nationalCode;
            ViewBag.Email = emailAddress;
            ViewBag.Image = "/images/profile/" + picture;
            return View();
        }
    }
}